G760A(4)

NAME
g760a - Global Mixed-mode Technology Inc. G760a fan speed controller driver

SYNOPSIS
g760a0 at iic? addr 0x3e

DESCRIPTION
The g760a driver provides support for the Global Mixed-mode Technology Inc. G760a on iicbus fan speed controller to be used with the envsys(4) API. This chip could be found in D-Link's DNS-323 NAS box.

The following sysctl(8) variable controls the fan's speed:

machdep.g760a0.rpm
    This value specifies the desired speed for the fan. Valid range is 2000..20000 or 0 (the fan is turned off). The default value is 0.

    When setting the desired speed the RPM number will be converted to the internal representation and truncated. For example when you are setting 2000 it will be truncated to 2006, and 8000 will be changed to 8057.

SEE ALSO
envsys(4), lm(4), envstat(8)

AUTHORS
The g760a driver was written by A. Leo.